- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# JobDependencies Class Reference

the JobDependencies class. More...

`#include <OSOption.h>`

List of all members.

## Public Member Functions
| JobDependencies ()
| Default constructor.
| ~JobDependencies ()
| Class destructor.
bool | IsEqual (JobDependencies *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setJobID (int numberOfJobIDs, std::string *jobID)
| A function to set an array of <jobID> elements.
bool | addJobID (std::string jobID)
| A function to add an <jobID> element.
## Public Attributes
int | numberOfJobIDs
| the number of entries in the list of job dependencies
std::string * | jobID
| the list of job IDs

## Detailed Description

the JobDependencies class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 647 of file OSOption.h.

## Constructor & Destructor Documentation

JobDependencies::JobDependencies | ( |  | ) |

Default constructor.

Definition at line 265 of file OSOption.cpp.

References jobID.

JobDependencies::~JobDependencies | ( |  | ) |

Class destructor.

Definition at line 274 of file OSOption.cpp.

References jobID.

## Member Function Documentation

bool JobDependencies::IsEqual | ( | JobDependencies * | that | ) |

A function to check for the equality of two objects.

Definition at line 8680 of file OSOption.cpp.

References jobID, and numberOfJobIDs.

bool JobDependencies::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10532 of file OSOption.cpp.

References jobID, numberOfJobIDs, and OSRand().

Referenced by JobOption::setRandom().

bool JobDependencies::setJobID | ( | int | numberOfJobIDs,
|  | std::string * | jobID |
| ) |  |  |

A function to set an array of <jobID> elements.

Parameters:

  | numberOfJobIDs,: | number of <jobID> elements to be set
  | jobID,: | the array of <jobID> elements that are to be set

Definition at line 4184 of file OSOption.cpp.

Referenced by OSOption::setJobDependencies().

bool JobDependencies::addJobID | ( | std::string | jobID | ) |

A function to add an <jobID> element.

Parameters:

  | jobID,: | the name of the <jobID> element to be added

Definition at line 4214 of file OSOption.cpp.

References numberOfJobIDs.

Referenced by OSOption::setAnotherJobDependency().

## Member Data Documentation

int JobDependencies::numberOfJobIDs

the number of entries in the list of job dependencies

Definition at line 651 of file OSOption.h.

Referenced by addJobID(), OSOption::getNumberOfJobDependencies(), IsEqual(), and setRandom().

std::string* JobDependencies::jobID

the list of job IDs

Definition at line 654 of file OSOption.h.

Referenced by OSOption::getJobDependencies(), IsEqual(), JobDependencies(), OSOption::setJobDependencies(), setRandom(), and ~JobDependencies().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp